Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.pastry.security
Class PermissiveSecurityManager

    java.lang.Object
      rice.pastry.security.PermissiveSecurityManager

All Implemented Interfaces:
  PastrySecurityManager

public class PermissiveSecurityManager
extends java.lang.Object
implements PastrySecurityManager

A trivial security manager.

Version:
  $Id: PermissiveSecurityManager.java,v 1.3 2005/03/11 00:58:08 jeffh Exp $
Author:
  Andrew Ladd

Constructor Summary
`PermissiveSecurityManager()`

Method Summary
`java.util.Date` | `getTimestamp()` Gets the Timestamp attribute of the PermissiveSecurityManager object
`boolean` | `verifyAddressBinding(Credentials cred, Address addr)` DESCRIBE THE METHOD
`boolean` | `verifyMessage(Message msg)` DESCRIBE THE METHOD
`NodeHandle` | `verifyNodeHandle(NodeHandle handle)` DESCRIBE THE METHOD

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PermissiveSecurityManager

    public PermissiveSecurityManager()

Method Detail

### getTimestamp

    public java.util.Date getTimestamp()

  Gets the Timestamp attribute of the PermissiveSecurityManager object

  Specified by:
    `getTimestamp` in interface `PastrySecurityManager`
  Returns:
    The Timestamp value

### verifyMessage

    public boolean verifyMessage(Message msg)

  DESCRIBE THE METHOD

  Specified by:
    `verifyMessage` in interface `PastrySecurityManager`
  Parameters:
    `msg` - DESCRIBE THE PARAMETER
  Returns:
    DESCRIBE THE RETURN VALUE

### verifyAddressBinding

    public boolean verifyAddressBinding(Credentials cred,
                                        Address addr)

  DESCRIBE THE METHOD

  Specified by:
    `verifyAddressBinding` in interface `PastrySecurityManager`
  Parameters:
    `cred` - DESCRIBE THE PARAMETER
    `addr` - DESCRIBE THE PARAMETER
  Returns:
    DESCRIBE THE RETURN VALUE

### verifyNodeHandle

    public NodeHandle verifyNodeHandle(NodeHandle handle)

  DESCRIBE THE METHOD

  Specified by:
    `verifyNodeHandle` in interface `PastrySecurityManager`
  Parameters:
    `handle` - DESCRIBE THE PARAMETER
  Returns:
    DESCRIBE THE RETURN VALUE

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.